/*

dskcfdisc.c - CF Disk implementation of disk block routines

*/

#include "cfdisc.h"
#include "dsk.h"

/*...vcfdisc\46\h:0:*/
/*...vdsk\46\h:0:*/

int dsk_init(void)
	{
	if ( ! cfcheck() )
		return 0;
	cfinit();
	return 1;
	}

void dsk_read(unsigned long lba, unsigned n, unsigned char *buf)
	{
	cfread(lba+0x20000, n, buf);
	}
